// floatspinbox_qt4.h
//
// Floating Point Spinner Class for Qt - Interface File
//
//

#ifndef FLOATSPINBOX_H_
#define FLOATSPINBOX_H_
#include <iostream>
#include <QObject>
#include <QDoubleSpinBox>

class FloatSpinBox : public QDoubleSpinBox
{
	Q_OBJECT
			
	public:
		
		FloatSpinBox( QWidget* parent = 0, const char* name = 0 );
	
		FloatSpinBox( float minValue, float maxValue, int decimals = 2, float step = 1.0,QWidget* parent = 0, const char* name = 0 );
	
		~FloatSpinBox();

	signals:
// 		void valueChanged( double value );
		void focusOut();
		void returnPressed();
};

#endif  //  FLOATSPINBOX_H_

